/* Decay chain for an initially pure radioactive sample */
/* For: Nuclear reactor Systems Analysis - 4D03 */
/* By: Miroslav Maklenov - Eng. Physics IV */

#include <stdio.h>                      /* Library */

float N[1000];                          /* Variable declaration */
int i = 1;
float l = 1.0;
float dt = 0.01;
float dNdt;

int main()
{
	N[0] = 1;                            /* Initial value */
   printf ("%f\n", N[0]);               /* Print of initial value */

	for (i = 1; i < 1000; i++)           /* Repeat loop */
	{
		dNdt = (-1)*l*N[i-1];             /* Rate of change */
		N[i] = N[i-1] + dNdt*dt;          /* Calculate formula */
		printf ("%0.10f\n", N[i]);        /* Format output to 10 decimals */
   }
}



